Diff yasm-1.2.0-r1 with a yasm-1.3.0

/usr/portage/dev-lang/yasm/yasm-1.3.0.ebuild 2019-10-11 18:40:00.000000000 +0300
5 5

  
6 6
PYTHON_COMPAT=( python2_7 )
7 7

  
8
inherit autotools eutils python-r1
8
inherit python-r1
9 9

  
10 10
DESCRIPTION="An assembler for x86 and x86_64 instruction sets"
11 11
HOMEPAGE="http://yasm.tortall.net/"
12
SRC_URI="http://www.tortall.net/projects/yasm/releases/${P}.tar.gz
13
	mirror://gentoo/${P}-x32.patch.xz"
12
SRC_URI="http://www.tortall.net/projects/yasm/releases/${P}.tar.gz"
14 13

  
15 14
LICENSE="BSD-2 BSD || ( Artistic GPL-2 LGPL-2 )"
16 15
SLOT="0"
17
KEYWORDS="-* amd64 ~arm64 x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x86-solaris"
16
KEYWORDS="-* amd64 ~arm64 x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
18 17
IUSE="nls python"
19 18
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
20 19

  
......
26 25
	nls? ( sys-devel/gettext )
27 26
	python? ( >=dev-python/cython-0.14[${PYTHON_USEDEP}] )"
28 27

  
29
src_prepare() {
30
	sed -i -e 's:xmlto:&dIsAbLe:' configure.ac || die #459940
31
	epatch "${WORKDIR}"/${P}-x32.patch #435838
32
	chmod a+rx modules/objfmts/elf/tests/{gas,}x32/*_test.sh
33
	epatch "${FILESDIR}/${P}-fix_cython_check.patch"
34
	# ksh doesn't grok $(xxx), makes aclocal fail
35
	sed -i -e '1c\#!/usr/bin/env sh' YASM-VERSION-GEN.sh || die
36
	eautoreconf
37
}
38

  
39 28
src_configure() {
40 29
	use python && python_export_best
41 30

  
31
	XMLTO=: \
42 32
	econf \
43 33
		$(use_enable python) \
44 34
		$(use_enable python python-bindings) \
Thank you!